> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a payment resource

> Permanently deletes the specified payment resource. Operation is irreversible and returns HTTP 204 No Content.



## OpenAPI

````yaml /api-reference/payment_links_and_buttons_v1.json delete /v1/checkout/payment-resources/{id}
openapi: 3.0.3
info:
  title: Payment Links and Buttons
  description: >-
    The Payment Links and Buttons API enables you to programmatically create and
    manage payment links and buttons. Use this API to generate shareable URLs,
    retrieve payment details, and update configurations without building custom
    checkout flows.
  version: '1.8'
servers:
  - url: https://api.paypal.com/v1/checkout
security: []
tags:
  - name: Payment-Links
    description: Use the /links/{id} resource to retrieve details about payment links.
  - name: Create-Context
    description: >-
      Use the `/links/{id}/create-context` resource to create context (order
      creation) associated with payment link.
  - name: Pay-Context
    description: >-
      Use the `/links/{id}/pay` resource to pay the context associated with
      payment link.
  - name: Context-Details
    description: >-
      Use the `/links/{id}/contexts/{context_id}` resource to retrieve the
      context details associated with payment link.
  - name: Acquire-Shipping-Options
    description: >-
      Use the `/links/{id}/shipping-options` resource to load the shipping
      options and updated amount of the context associated with payment link.
  - name: Cart
    description: >-
      Use the `/carts` resource to create or get cart and `/carts/{id}` resource
      to update or get cart.
  - name: Payment-Resources
    description: >-
      Use the `/payment-resources` resource to create or get payment resources
      and `/payment-resources/{id}` resource to update or get payment resource.
paths:
  /v1/checkout/payment-resources/{id}:
    delete:
      tags:
        - Payment-Resources
      summary: Delete a payment resource
      description: >-
        Permanently deletes the specified payment resource. Operation is
        irreversible and returns HTTP 204 No Content.
      operationId: payment-resources.delete.byId
      parameters:
        - $ref: '#/components/parameters/id'
        - $ref: '#/components/parameters/content_type'
        - $ref: '#/components/parameters/paypal_auth_assertion'
      responses:
        '204':
          description: Payment resource deleted successfully. No content returned.
        '500':
          description: An internal server error has occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - Oauth2:
            - https://uri.paypal.com/services/checkout/payment-resources
        - Oauth2:
            - >-
              https://uri.paypal.com/services/checkout/payment-resources/readwrite
components:
  parameters:
    id:
      name: id
      description: The payment resource id for which to show details.
      in: path
      required: true
      schema:
        type: string
        minLength: 1
        maxLength: 127
        pattern: ^[A-Z]{3}-[A-Z0-9]+$
    content_type:
      name: Content-Type
      description: >-
        The media type. Required for operations with a request body. The value
        is `application/<format>`, where `format` is `json`.
      in: header
      schema:
        type: string
        minLength: 1
        maxLength: 255
        pattern: ^[A-Za-z0-9/+-]+$
    paypal_auth_assertion:
      name: PayPal-Auth-Assertion
      in: header
      description: >-
        An API-caller-provided JSON Web Token (JWT) assertion that identifies
        the merchant. For details, see <a
        href="https://developer.paypal.com/api/rest/requests/#paypal-auth-assertion">PayPal-Auth-Assertion</a>.
      required: false
      schema:
        type: string
  schemas:
    error:
      type: object
      title: Error
      description: The error details.
      properties:
        name:
          type: string
          description: The human-readable, unique name of the error.
        message:
          type: string
          description: The message that describes the error.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        details:
          $ref: '#/components/schemas/error_details_list'
        links:
          $ref: '#/components/schemas/definitions-link_description_list'
      required:
        - name
        - message
        - debug_id
    error_details_list:
      type: array
      description: An array of additional details about the error.
      items:
        $ref: '#/components/schemas/error_details-2'
    definitions-link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/api/rest/responses/#hateoas-links).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    error_details-2:
      title: Error Details
      type: object
      description: The error details. Required for client-side `4XX` errors.
      properties:
        field:
          type: string
          description: >-
            The field that caused the error. If this field is in the body, set
            this value to the field's JSON pointer value. Required for
            client-side errors.
        value:
          type: string
          description: The value of the field that caused the error.
        location:
          type: string
          description: >-
            The location of the field that caused the error. Value is `body`,
            `path`, or `query`.
          default: body
        issue:
          type: string
          description: The unique, fine-grained application-level error code.
        links:
          $ref: '#/components/schemas/link_description_list'
        description:
          type: string
          description: >-
            The human-readable description for an issue. The description can
            change over the lifetime of an API, so clients must not depend on
            this value.
      required:
        - issue
    link_description:
      type: object
      title: Link Description
      description: >-
        The request-related [HATEOAS link](/api/rest/responses/#hateoas-links)
        information.
      required:
        - href
        - rel
      properties:
        href:
          type: string
          description: >-
            The complete target URL. To make the related call, combine the
            method with this [URI
            Template-formatted](https://tools.ietf.org/html/rfc6570) link. For
            pre-processing, include the `$`, `(`, and `)` characters. The `href`
            is the key HATEOAS component that links a completed call with a
            subsequent call.
        rel:
          type: string
          description: >-
            The [link relation
            type](https://tools.ietf.org/html/rfc5988#section-4), which serves
            as an ID for a link that unambiguously describes the semantics of
            the link. See [Link
            Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
        method:
          type: string
          description: The HTTP method required to make the related call.
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - HEAD
            - CONNECT
            - OPTIONS
            - PATCH
    link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/api/rest/responses/#hateoas-links) that are either relevant to
        the issue by providing additional information or offering potential
        resolutions.
      readOnly: true
      minItems: 1
      maxItems: 4
      items:
        $ref: '#/components/schemas/link_description'
  securitySchemes:
    Oauth2:
      type: oauth2
      description: Oauth 2.0 authentication.
      flows:
        clientCredentials:
          tokenUrl: https://api-m.paypal.com/v1/oauth2/token
          scopes:
            https://uri.paypal.com/services/checkout/links: >-
              Allows merchants to create context and pay for nocode payment
              link.
            https://uri.paypal.com/services/checkout/payment-resources: Allow merchants to read and write payment resources.
            https://uri.paypal.com/services/checkout/payment-resources/read: Allows third-party apps to have read access to payment resources.
            https://uri.paypal.com/services/checkout/payment-resources/readwrite: >-
              Allows third-party apps to have read and write access to payment
              resources.

````